diff -c -w help-fns.el help-fns-patched-2011-06-27.el
*** help-fns.el	Mon Jun 27 09:08:20 2011
--- help-fns-patched-2011-06-27.el	Mon Jun 27 09:51:14 2011
***************
*** 527,533 ****
        (let* ((advertised (gethash def advertised-signature-table t))
  	     (arglist (if (listp advertised)
  			  advertised (help-function-arglist def)))
! 	     (doc (condition-case err (documentation function)
                      (error (format "No Doc! %S" err))))
  	     (usage (help-split-fundoc doc function)))
  	(with-current-buffer standard-output
--- 527,533 ----
        (let* ((advertised (gethash def advertised-signature-table t))
  	     (arglist (if (listp advertised)
  			  advertised (help-function-arglist def)))
! 	     (doc (condition-case err (help-documentation function nil t)
                      (error (format "No Doc! %S" err))))
  	     (usage (help-split-fundoc doc function)))
  	(with-current-buffer standard-output
***************
*** 545,551 ****
  			    (while (and (symbolp fun)
  					(setq fun (symbol-function fun))
  					(not (setq usage (help-split-fundoc
! 							  (documentation fun)
  							  function)))))
  			    usage)
  			  (car usage))
--- 545,551 ----
  			    (while (and (symbolp fun)
  					(setq fun (symbol-function fun))
  					(not (setq usage (help-split-fundoc
! 							  (help-documentation fun nil t)
  							  function)))))
  			    usage)
  			  (car usage))
***************
*** 786,793 ****
                     (obsolete (get variable 'byte-obsolete-variable))
  		   (use (car obsolete))
  		   (safe-var (get variable 'safe-local-variable))
!                    (doc (or (documentation-property variable 'variable-documentation)
!                             (documentation-property alias 'variable-documentation)))
                     (extra-line nil))
                ;; Add a note for variables that have been make-var-buffer-local.
                (when (and (local-variable-if-set-p variable)
--- 786,793 ----
                     (obsolete (get variable 'byte-obsolete-variable))
  		   (use (car obsolete))
  		   (safe-var (get variable 'safe-local-variable))
!                    (doc (or (help-documentation-property variable 'variable-documentation nil t)
!                             (help-documentation-property alias 'variable-documentation nil t)))
                     (extra-line nil))
                ;; Add a note for variables that have been make-var-buffer-local.
                (when (and (local-variable-if-set-p variable)

Diff finished.  Mon Jun 27 09:52:12 2011
